function [sampledImg] = myShrinkImageByFactorD(im, d)
%myShrinkImageByFactorD 
%   Shrink the image size by a factor of d along each dimension 
%   using image subsampling by sampling / selecting every d-th 
%   pixel along the rows and columns.
img = im2double(im);

sampledImg = im2uint8(img(1:d:end,1:d:end));
end
