function [output_img] = myLinearContrastStretching(im)
%MYLINEARCONTRASTSTRETCHING Summary of this function goes here
%   Detailed explanation goes here

img = im2double(im);

output_img = zeros(size(img));
for channel=1:size(img,3)
    low_value = min(min(img(:,:,channel)));
    high_value = max(max(img(:,:,channel)));
    output_img(:,:,channel) = ... 
        (img(:,:,channel) - low_value) ... 
        / (high_value - low_value);
end

end

