function [output_img] = myHE(im)
%MYHE Summary of this function goes here
%   Detailed explanation goes here
img = im;

output_img = zeros(size(img));

for channel=1:size(img,3)
    img_vector = img(:,:,channel);
    img_vector = img_vector(:);

    freq = imhist(img_vector, 256);
    
    pn = freq / size(img_vector,1);
    cumulative_pn = cumsum(pn);

    equalize = @(x) floor(255 * cumulative_pn(x+1));
    
    output_img(:,:,channel) = arrayfun(equalize, img(:,:,channel));
end

output_img = uint8(output_img);
% figure;
% set(gcf, 'Units', 'Normalized', 'OuterPosition', [0 0 1 1]);
% subplot(2,2,1);
% imshow(img);
% displayColorbar(is_grayscale);
% subplot(2,2,2);
% imshow(uint8(output_img));
% displayColorbar(is_grayscale);
% subplot(2,2,3);
% imhist(img);
% subplot(2,2,4);
% imhist(uint8(output_img));

end

